Bug 1113739 - JON UI showing the same listgrid with load data for all Storage Nodes
Summary: JON UI showing the same listgrid with load data for all Storage Nodes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI, Storage Node
Version: 4.11
Hardware: All
OS: All
unspecified
high vote
Target Milestone: ---
: RHQ 4.12
Assignee: Jirka Kremser
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On: 1113623
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-26 19:23 UTC by John Sanda
Modified: 2018-12-05 18:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1113623
Environment:
Last Closed: 2014-12-15 11:36:21 UTC


Attachments (Terms of Use)

Comment 1 John Sanda 2014-06-26 19:24:37 UTC
Jirka, would you mind taking a look at this? I reproduced in master. I looked into it briefly, and it looks like it might be in the UI layer, in which case you can probably resolve this a lot faster than I could.

Comment 2 Jirka Kremser 2014-07-01 10:38:53 UTC
branch:  master
link:    https://github.com/rhq-project/rhq/commit/4b6077162
time:    2014-07-01 12:37:41 +0200
commit:  4b60771628a86aa5baa7f724725f1030d422a04d
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1113739] - JON UI showing the same listgrid with load data for all
         Storage Nodes - the datasource was accidentally overriding id
         attribute, also there was need to call the redraw method on the
         StorageNodeLoadComponent component

Comment 3 Heiko W. Rupp 2014-12-15 11:36:21 UTC
Bulk close of items fixed in RHQ 4.12

If you think this is not solved, then please open a *new* BZ and link to this one.


Note You need to log in before you can comment on or make changes to this bug.